@charset "utf-8";
/* CSS Document */

*
{
	margin: 0;
	padding: 0;
	font-family: "Noto Sans JP","Source Sans Pro", "Georgia", "游明朝体", "YuMincho", "游明朝", "Yu Mincho", "ヒラギノ明朝 ProN W3", "Hiragino Mincho ProN W3", "HiraMinProN-W3", "ヒラギノ明朝 ProN", "Hiragino Mincho ProN", "ヒラギノ明朝 Pro", "Hiragino Mincho Pro", "HGS明朝E", "ＭＳ Ｐ明朝", "MS PMincho", "serif";
	font-size:60px;
	font-weight: normal;
}

body {
  min-height: 100vh;
  display: grid;
  grid-template-rows: auto 1fr auto ;
}

main {
    margin-top: 170px;
}

header {
    opacity: 0;
    display: none;
	height: 80px;
	max-width: 1200px;
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-self: center;
    width: 100%;
    flex: 0 0 auto;
    align-items: center;
}

footer {
  background-color: #020120;
  height: 200px;
}

h1,h2,h3,h4,h5,h6{color: #FFFFFF}
h1{font-weight: bold}
h2{font-size:0.5rem}
h3{font-size:0.3rem}
h4{font-size:0.185rem}


.main-top-text3{
	text-align:center;
	margin-top:50px;
	margin-bottom: 25px
}

.page-2-frame {
    background: #020120;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}
.page-2-impact{
    width: 1200px;
}
.seo-frame{
    max-width: 1200px;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 20px;
    justify-items: center;
    height: 500px;
    align-items: center;
}

.seo-grid{grid-area: "seo-grid"}
.seo-titl{grid-area: "seo-title"}
.seo-content{grid-area: "seo-content"}


.coding_frame h2{color:#42FDFC;font-size: 0.4rem;}
.coding_frame {
  max-width: 1200px;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 50px;
  padding: 60px 20px 20px 20px;
}

.coding-grid {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  gap: 50px;
}

.coding-content {
  display: flex;
  justify-content: center;
  width: 100%;
  gap: 60px;
}

.page-2-design-content{
    max-width: 1200px;
    display: flex;
    flex-direction: column;
    align-items: center;
	width: 100%;
}
.page-2-design-frame{
    display: flex;
    flex: 0 0 auto;
    flex-direction: column;
    justify-content: stretch;
    position: relative;
    padding: 20px;
    align-items: center;
}
.impact{
	display: flex;
    flex: 0 0 auto;
    flex-direction: column;
    justify-content: stretch;
    align-items: center;
    width: 100%;
    height: 1080px;
    position: relative;
    padding: 20px;
}
.neonxxx{
	max-width: 80px;
}
.background {
  background-image: url(../img/neoncity.png);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  width: 100%;
  height: 100vh;
  opacity: 0.35;
  z-index: -1;
  position: fixed;
}

.page-2 {
    display: flex;
    flex-direction: column;
    place-content: space-between center;
    width: 100%;
    height: auto;
    margin: 100px 0px 100px;
}
.img_skillicon_frame{
	display: flex;
    align-content: center;
    max-width: 600px;
    width: 100%;
    justify-content: space-between;
    padding: 25px;
    min-height: 120px;
}
.img_skillicon_frame_sub{
    display: grid;
	grid-template-columns: 1fr 1fr 1fr;
    align-items: center;
    padding: 20px;
    width: 80%;
    justify-content: space-between;
}
.img_skillicon_frame_sub h1{
	display: flex;
	justify-content: center;
	align-items: center;        
	font-size: 2.5rem;
	padding: 0px 40px;
	text-shadow: 0 0 5px #42fdfc, 0 0 5px #42fdfc, 0 0 5px #42fdfc, 0 0 5px #42fdfc;
	color: #020120;
}
.img_skillicon_frame_sub h2{
	display: flex;
	justify-content: center;
	align-items: center;   
	font-size: 0.4rem;
	font-weight:normal;
	word-wrap:break-word;
}
.button {
    display: flex;
    flex-direction: row;
    gap: 20px;
    margin-top: 25px;
    margin-bottom: 25px;
    font-size: 1rem;
}

.button-frame{
	max-width: 1200px;
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    width: 100%;
    padding: 0px 20px;
    flex: 0 0 auto;
    font-weight: 900;
    align-items: center;
    position: relative;
    margin-top: 25px;
    margin-bottom: 25px;
    font-size: 1rem;
}
.learn-more:hover{border: 2px solid #42FDFC;color:#42FDFC;}
.learn-more{
    height: 70px;
    display: flex;
    flex-direction: row;
    align-items: center;
    font-family: "Source Sans Pro", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen, Ubuntu, Cantarell, "Fira Sans", "Droid Sans", "Helvetica Neue", sans-serif;
    cursor: pointer;
    letter-spacing: 0.05rem;
    text-align: left;
    background: none;
    flex: 0 0 auto;
    padding: 28px 64px;
    border: 2px solid #ffffff;
    line-height: 0;
    transition: all 0.2s ease-in-out 0s;
    outline: none !important;
	font-size: 0.3rem;
	color: #FFFFFF;
}
.contact-me:hover{color:#000000;background-color: #ffffff}
.contact-me{
	height: 70px;
    display: inline-flex;
    flex-direction: column;
    justify-content: center;
    font-family: "Source Sans Pro", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen, Ubuntu, Cantarell, "Fira Sans", "Droid Sans", "Helvetica Neue", sans-serif;
    padding: 26px 60px;
    cursor: pointer;
    white-space: nowrap;
    user-select: none;
    text-transform: uppercase;
    letter-spacing: 0.05rem;
    line-height: 0;
    color: #020120;
    background-color: #42FDFC;
    font-weight: 700;
    flex: 0 0 auto;
    transition: all 0.2s ease-in-out 0s;
	font-size: 0.3rem;
}
  
.page-2-title{font-family:'Caveat', cursive;text-shadow: 0 0 5px #42FDFC, 0 0 5px #42FDFC, 0 0 5px #42FDFC, 0 0 5px #42FDFC;display: flex;justify-content: center;align-items: center;font-weight: bold;color:#020120;font-size: 2.5rem;max-width: 360px;flex-direction: column;}
.page-2-sub{font-family: "Noto Sans JP";font-weight: 100;font-size: 0.3rem;color:#42FDFC;text-shadow: 0 0 0px #42FDFC, 0 0 0px #42FDFC, 0 0 0px #42FDFC, 0 0 0px #42FDFC;}

.h3-color{font-size: 0.3rem}
.h1-color{color: #42FDFC}
.font-jp{font-family:"Noto Sans JP"}
.main-top{display: flex;flex-direction: column;}
.img_skillicon{height:6vh ;min-height: 100px;margin:20px;max-width: 90px;}
footer{
    --border-bottom-width: 0px;
    --border-color: #10ffdf;
    --border-left-width: 0px;
    --border-right-width: 0px;
    --border-style: solid;
    --border-top-width: 1px;
    align-content: center;
    align-items: center;
    display: flex;
    flex: none;
    flex-direction: column;
    flex-wrap: nowrap;
    gap: 20px;
    justify-content: center;
    overflow: visible;
    position: relative;
    width: 100%;
}
.img_icon{
    align-content: center;
    align-items: center;
    display: flex;
    flex: none;
    flex-direction: row;
    flex-wrap: nowrap;
    gap: 20px;
    height: min-content;
    justify-content: flex-start;
    overflow: visible;
    padding: 0;
    position: relative;
}
.img_icon img{height: 3vh;}
.img_icon img:hover{filter: drop-shadow(5px 5px 5px #fff000);transition: .3s;transform: scale(1.2,1.2);}
.img_icon a {pointer-events: none;}
.img_icon img {pointer-events: auto;}
  
.ga-text, .wp-text {border: 2px solid #fff;border-radius: 10px;padding: 50px;position: relative;display: flex;flex-direction: column;align-items: center;}
.ga-text h3, .wp-text h3 {padding: 10px;}
.ga-text:before, .wp-text:before {
    content: "";
    position: absolute;
    top: -10px;
    left: -10px;
    right: -10px;
    bottom: -10px;
    background-color: #fff;
    z-index: -1;
    filter: blur(20px);
}
    
.img_skillicon {
    filter: drop-shadow(0 0 2px #000000) drop-shadow(0 0 2px #000000) drop-shadow(0 0 30Px #42FDFC);
}

.coding-conten{
    display: flex;
    flex-direction: column;
    align-items: center;

}


.img_skillicon_GAWP {
    height: 6vh;
    min-height: 100px;
    margin: 20px;
}

/* RWD page style */
.responsive-section {
    display: grid;
    grid-template-columns: 1.618fr 1fr;
    gap: 20px;
    margin: 20px;
    padding: 20px;
    height: auto;
    align-items: center;
    min-height: 500px;
    }
    
.responsive-demo {
  height: 75%;
  overflow: hidden;
}
.responsive-demo h3{color:#020120;}
.demo-container {
  height: 100%;
  width: 100%;
  background-color: #020120;
  display: grid;
  grid-template-areas:
      "header nav"
      "content content"
      "content2 content2"
      "footer footer";
  grid-gap: 1px;
  transition: all 2s ease;
  align-items: center;
  justify-items: center;
  grid-template-rows: 1fr 1.618fr 1.618fr 1fr;
}
.demo-header,
.demo-nav,
.demo-content,
.demo-content2,
.demo-footer {
  background-color: lightblue;
  height: 100%;
  width: 100%;
  text-align: center;
  display: flex;
  justify-content: center;
  align-items: center;
}

.demo-header {
  grid-area: header;
}

.demo-nav {
  grid-area: nav;
}

.demo-content {
  grid-area: content;
}
.demo-content2 {
  grid-area: content2;
}
.demo-footer {
  grid-area: footer;
}

/* Animation */
@keyframes demo-animation {
  0% { 
    width: 100%; 
    grid-template-areas: 
      "header nav"
      "content content2"
      "footer footer"; 
  }
  50% { 
    width: 70%; 
    grid-template-areas: 
      "header nav"
      "content content"
      "content2 content2"
      "footer footer";
    grid-template-columns:3fr 1fr
  }
  100% { 
    width: 50%; 
    grid-template-areas: 
      "header nav"
      "content content"
      "content2 content2"
      "footer footer"; 
    grid-template-columns:3fr 1fr
  }
}

.demo-container {
  animation: demo-animation 6s infinite alternate;
}



.text-content {
  padding: 20px;
  text-align: center;
}

.section-title {
  font-size: 24px;
  font-weight: bold;
  margin-bottom: 10px;
  text-shadow: 0 0 #42FDFC;
}

.section-subtitle {
  font-size: 14px;
  color: #ffffff;
}

h2 {
  font-size: 18px;
  margin: 10px 0;
}

p {
  font-size: 16px;
  line-height: 1.5;
  color: #ffffff;
}
.skill-item {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.click-me {
  position: absolute;
  top: -5px;
  right: -15px;
  color: white;
  padding: 5px;
  font-size: 12px;
  transform: rotate(45deg);
  text-shadow: 1px 1px 2px #000;
  animation: fadeInOut 2s infinite;
}


@keyframes fadeInOut {
  0% { opacity: 0; }
  50% { opacity: 1; }
  100% { opacity: 0; }
}
header a {
  text-decoration: none;
}

header a:hover {
  color: inherit;
  text-decoration: underline;
}
